//! # Admin roles controller
//!
//! @author Pierre Hubert

use crate::api_data::admin::admin_role_api::AdminRoleDetailsAPI;
use crate::constants::admin::ADMIN_ROLES_LIST;
use crate::data::base_request_handler::BaseRequestHandler;
use crate::data::http_request_handler::HttpRequestHandler;
use crate::routes::RequestResult;

pub fn get_list(r: &mut HttpRequestHandler) -> RequestResult {
    let res = ADMIN_ROLES_LIST.iter()
        .map(AdminRoleDetailsAPI::new)
        .collect::<Vec<AdminRoleDetailsAPI>>();

    r.set_response(res)
}